import { defineStore } from "pinia";

export const useUserStore = defineStore("userStore", {
  state() {
    return {
      token: "",
	  userInfo: {}
    };
  },
  getters:{
	  GET_TOKEN(){
		  return this.token
	  },
	  GET_USER_INFO(){
		  return this.userInfo
	  }
  },
  actions:{
	  async loginAction(formData){
		  console.log(formData)
		  // 此处使用formData进行登录请求
		  // 拿到token后存起来并请求用户信息后返回
		  // uni.setStorageSync('token','userToken')
		  // this.token = 'userToken'
		  return true
	  },
	  async autoLoginAction(){
		  const token = uni.getStorageSync('token') || ''
		  if(token){
			  // 在此处查询用户信息后返回
		  }
		  return false
	  }
  },
  unistorage: {
    // 初始化恢复前触发
    beforeRestore(ctx) {},
    // 初始化恢复后触发
    afterRestore(ctx) {},
  },
});